Welcome to the New BigPanda API Documentation
curl --location 'https://api.bigpanda.io/resources/v2.1/integrations' \
--header 'Authorization: Bearer <token>'[
{
"name": "demo",
"parent_system_id": "webhook_v2",
"workflow_config": {
"events": [
{
"enabled": true,
"body": "{\n \"incident_start\": \"{{incident.start}}\",\n \"assigner\": \"Assigned by {{assigner.username}}\",\n \"assignee\": \"Assigned to {{assignee.username}}\",\n \"primary_alert_host\": \"{{primaryAlert.tags.host}}\",\n \"priority\": \"{{incidentTags.itd_priority_1}}\",\n \"nested_values\": {\n \"double_nested_values\": {\n \"primary_alert_check\": \"'{{primaryAlert.tags.check}}'\",\n \"incident_updated\": \"{{incident.updated_at}}\"\n }\n }\n}",
"headers": "\"x-client-id\" : \"{{ primaryAlert.tags.host }}\"\n",
"path": "/incident/{{incident.id}}",
"authorization": "Bearer {{incidentTags.itd_applications_1}}",
"method": "POST"
}
],
"config": {
"base_url": "string",
"expects_callbacks": true
}
}
}
]